Bug 133627 - Flexible python version in RPM spec file
Summary: Flexible python version in RPM spec file
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-25 10:56 UTC by Robert Scheck
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-26 17:33:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Scheck 2004-09-25 10:56:27 UTC
Description of problem:
The python version in the RPM spec file should be more flexible, 
so I suggest the use of 'python -c "import sys; print sys.version 
[:3]'.

Version-Release number of selected component (if applicable):
rpm-4.3.2-2

Actual results / Expected results:
--- snipp ---
--- rpm.spec       2004-09-25 12:55:20.000000000 +0200
+++ rpm.spec.rsc   2004-09-25 12:55:47.000000000 +0200
@@ -1,5 +1,5 @@
@@ -1,5 +1,5 @@
 %define        with_python_subpackage  1%{nil}
-%define        with_python_version     2.3%{nil}
+%define        with_python_version     %(%{__python} -c "import sys; print sys.version[:3]")%{nil}
 %define        with_bzip2              1%{nil}
 %define        with_apidocs            1%{nil}

--- snapp ---

Comment 1 Jeff Johnson 2004-09-26 17:33:42 UTC
I am not interested in flexibility, but rather simple and stupid,
as rpm is often the first package that needs to be ported
to a new platform, where, for example, %__python may not
be correctly defined yet.


Note You need to log in before you can comment on or make changes to this bug.